FLTK 1.4.4

Loading...
Searching...
No Matches
Fl_Tree.H File Reference

This file contains the definitions of the Fl_Tree class. More...

`#include <FL/Fl.H>`
`#include <FL/Fl_Group.H>`
`#include <FL/Fl_Scrollbar.H>`
`#include <FL/fl_draw.H>`
`#include <FL/Fl_Tree_Item.H>`
`#include <FL/Fl_Tree_Prefs.H>`

Go to the source code of this file.

## Classes
class | Fl_Tree
| Tree widget. More...

## Enumerations
enum | Fl_Tree_Reason { FL_TREE_REASON_NONE = FL_REASON_UNKNOWN , FL_TREE_REASON_SELECTED = FL_REASON_SELECTED , FL_TREE_REASON_DESELECTED = FL_REASON_DESELECTED , FL_TREE_REASON_RESELECTED = FL_REASON_RESELECTED , FL_TREE_REASON_OPENED = FL_REASON_OPENED , FL_TREE_REASON_CLOSED = FL_REASON_CLOSED , FL_TREE_REASON_DRAGGED = FL_REASON_DRAGGED }
| The reason the callback was invoked. More...

## Detailed Description

This file contains the definitions of the Fl_Tree class.

## Enumeration Type Documentation

## ◆ Fl_Tree_Reason

enum Fl_Tree_Reason

The reason the callback was invoked.

Enumerator
FL_TREE_REASON_NONE | unknown reason
FL_TREE_REASON_SELECTED | an item was selected
FL_TREE_REASON_DESELECTED | an item was de-selected
FL_TREE_REASON_RESELECTED | an item was re-selected (double-clicked). See Fl_Tree_Item_Reselect_Mode to enable this.
FL_TREE_REASON_OPENED | an item was opened
FL_TREE_REASON_CLOSED | an item was closed
FL_TREE_REASON_DRAGGED | an item was dragged into a new place